#ifndef _COMMON_H
#define _COMMON_H

#define MAX_BULLET 16
#define MAX_BONUS 4
#define MAX_ENEMY 34

typedef struct {
  int status;
  int x,y;
  int tile;
  int hp;
  int score;
  int type;
  int profile; 
  int dx,dy; //shooter/bullet
  int num,numadd,den,dx2,dy2; //bresenham
} enemy_t;

typedef struct {
  int status;
  int x,y;
  int tile;
  int score;
  int step;
} bonus_t;

extern int size;
extern int enemySlow;
extern int enemyShootSlow;
extern enemy_t enemy[MAX_ENEMY];
extern bonus_t bonus[MAX_BONUS];

#endif	// _COMMON_H
