// PocketSendDlg.h : header file
//

#if !defined(AFX_POCKETSENDDLG_H__2C78B400_C9E6_4815_9188_27A5464EBF44__INCLUDED_)
#define AFX_POCKETSENDDLG_H__2C78B400_C9E6_4815_9188_27A5464EBF44__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MyListCtrl.h"
#include "GradientProgressCtrl.h"


/////////////////////////////////////////////////////////////////////////////
// CPocketSendDlg dialog


class CPocketSendDlg : public CDialog
{
// Construction
public:
	CPocketSendDlg(CWnd* pParent = NULL);	// standard constructor
	CGradientProgressCtrl Progress;
	HACCEL m_hAccel;
	char workingDir[256];
	BYTE * NGPCpackArray;


// Dialog Data
	//{{AFX_DATA(CPocketSendDlg)
	enum { IDD = IDD_POCKETSEND_DIALOG };
	CMyListCtrl	m_ctrlFiles;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPocketSendDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL


// Implementation
protected:
	HICON m_hIcon;
	HICON m_hSmallIcon;
	CFont m_Font;                                // Underline font if necessary
	BOOL m_bOverControl;
	
	unsigned int totalFileSize;
	unsigned int numOf16MbROMs;
	static void EnableLinkerButtons(bool enable);
	static UINT ActionWriteThread(LPVOID ObjPtr);
	static UINT ActionReadThread(LPVOID ObjPtr);
	static int CALLBACK CPocketSendDlg::Compare(LPARAM lParam1, LPARAM lParam2, LPARAM lParamSort);

	void AddFiles( int, CString* );
    unsigned long SetupMultiROMFile(CString);
	void initLinker();
	// Generated message map functions
	//{{AFX_MSG(CPocketSendDlg)
	virtual BOOL OnInitDialog();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDelete();
	afx_msg void OnMenu2Cart();
	afx_msg void OnMenu2File();
	afx_msg void OnFile2Cart();
	afx_msg void OnCart2File();
	afx_msg void OnAbout();
	afx_msg void OnAddFiles();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnDestroy();
	afx_msg void OnLiksangClicked();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnPortButton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CPortSettingsDlg dialog

class CPortSettingsDlg : public CDialog
{
// Construction
public:
	CPortSettingsDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPortSettingsDlg)
	enum { IDD = IDD_PORT_VALUE_DIALOG };
	CString	m_PortAddressXFer;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPortSettingsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPortSettingsDlg)
	afx_msg void OnPortVal0x278();
	afx_msg void OnPortVal0x378();
	afx_msg void OnPortVal0x2e8();
	afx_msg void OnPortVal0x2f8();
	afx_msg void OnPortVal0x3bc();
	afx_msg void OnPortVal0x3e8();
	afx_msg void OnPortVal0x3f8();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_POCKETSENDDLG_H__2C78B400_C9E6_4815_9188_27A5464EBF44__INCLUDED_)


