;**************************************************************************************************
;*
;* Font.inc: Font handling functions.
;*
;* Author  : Steve Robb
;*
;**************************************************************************************************

;*****************
;* Include files *
;*****************

	Include "FontCmn.inc"


Font_Define: Macro name, chars, offset, {NoExpand}

ifd_name   Equ chars
ifdo_name  Equ offset
ifdzs_name Equ FALSE

	EndM


Font_Define_ZeroSpace: Macro name, chars, offset, {NoExpand}

ifd_name   Equ chars
ifdo_name  Equ offset
ifdzs_name Equ TRUE

	EndM


Font_String: Macro stringname, fontname, istring, {NoExpand}

ifs_stringname Equ $

	If ifdzs_fontname

		FontCmn_EnumerateString istring, ifd_fontname, Word, ifdo_fontname, 0

	Else

		FontCmn_EnumerateString istring, ifd_fontname, Word, ifdo_fontname

	EndIf

	DW -1

	EndM


Font_WriteScroll: Macro nPlane, stringname, palette, x, y, {NoExpand}

	ld      xde,                       ifs_stringname
	ld      xhl, FScroll_GetTileAddress(nPlane, x, y)
loop:
	ldw      bc,                               (xde+)
	cpw      bc,                                   -1
	jr       eq,                               finish
	addb      b,                          palette * 2
	ldw  (xhl+),                                   bc
	jr                                           loop
finish:

	EndM


;*******************
;* End of Font.inc *
;*******************
