;**************************************************************************************************
;*
;* Watchdog.inc: Watchdog manipulation macros for the NGPC.
;*
;* Author      : Steve Robb
;*
;**************************************************************************************************

	IfNDef WATCHDOG_INC
WATCHDOG_INC Equ TRUE


;*****************
;* Public macros *
;*****************

;**************************************************************************************************
;*
;* Macro       - Watchdog_Reset
;* Parameters  - void
;* Returns     - void
;* Description - Resets the watchdog timer.
;* Author      - Steve Robb
;*
;**************************************************************************************************

Watchdog_Reset: Macro {NoExpand}

	;/* Write reset value into watchdog register */
	ldb (06fh), 04eh

	EndM

;*************************
;* End of Watchdog_Reset *
;*************************


	EndIf ;// IfNDef WATCHDOG_INC

;***********************
;* End of Watchdog.inc *
;***********************
